## pd-iemmatrix 0.2

=== src/Makefile ===
default: all

.PHONEY: default all everything dist \
	clean realclean distclean \
	install install-bin install-doc install-abs \
	tests

-include Make.config

VPATH = .:../alias/

## if $(BUILDLIBRARY) is defined, we need to include the aliases
ifeq "$(BUILDLIBRARY)" ""
 ALIASOBJECTSOURCES=$(subst ../alias/,,$(sort $(filter %.c, $(wildcard ../alias/*.c))))
else
 ALIASOBJECTSOURCES=
endif

TESTDIR=../tests

HELPERSOURCES=$(LIBRARY_NAME)_sources.c $(LIBRARY_NAME).c

OBJECTSOURCES=$(sort $(filter-out $(HELPERSOURCES), $(filter %.c, $(wildcard *.c)))) $(ALIASOBJECTSOURCES)

SOURCES=$(OBJECTSOURCES) $(HELPERSOURCES)

configure: configure.ac aclocal.m4
	autoconf

aclocal.m4: acinclude.m4
	aclocal

Make.config: Make.config.in configure
	./configure $(CONFIGUREFLAGS)

$(LIBRARY_NAME)_sources.c $(LIBRARY_NAME)_sources.h:
	./makesource.sh

-include $(SOURCES:.c=.d)

##  2nd only generate depend-files when we have Make.config included
##  and thus MAKEDEP_FLAGS defined
ifdef MAKEDEP_FLAGS
## dependencies: as proposed by the GNU-make documentation
## see http://www.gnu.org/software/make/manual/html_node/make_47.html#SEC51
%.d: %.c
	@set -e; rm -f $@; \
	 $(CPP) $(MAKEDEP_FLAGS) $(LIBRARY_CPPFLAGS) $< > $@.$$$$; \
	 sed 's,\($*\)\.o[ :]*,\1.o $@ : ,g' < $@.$$$$ > $@; \
	 rm -f $@.$$$$
endif

.SUFFIXES: .$(EXT)

TARGETS = $(SOURCES:.c=.o)

OBJECTS = $(OBJECTSOURCES:.c=.$(EXT))


debug:
	@echo sources $(SOURCES)
	@echo alias $(ALIASOBJECTSOURCES)
	@echo targets $(TARGETS)
	@echo objects $(OBJECTS)

## if $(BUILDLIBRARY) is defined, we build everything as a single library
## else we build separate externals
ifneq "$(BUILDLIBRARY)" ""
all: $(LIBRARY_NAME)
	cp $(LIBRARY_NAME).$(EXT) ..
else
all: $(OBJECTS)
endif

$(OBJECTS): %.$(EXT) : %.o
	$(LD) $(LFLAGS) $(AFLAGS) -o $@ $*.o $(LIBS)
	$(STRIP) $(STRIPFLAGS) $@

$(LIBRARY_NAME): $(TARGETS) $(LIBRARY_NAME)_sources.c $(LIBRARY_NAME)_sources.h
	$(LD) $(LFLAGS) $(AFLAGS) -o $@.$(EXT) *.o $(LIBS)
	$(STRIP) $(STRIPFLAGS) $@.$(EXT)

$(TARGETS): %.o : %.c
	$(CC) $(LIBRARY_CFLAGS) $(AFLAGS) -c -o $@ $<

externals: $(OBJECTS)

clean:
	-rm -f *.$(EXT) *.o 

realclean: clean
	-rm -f *~ _* aclocal.m4 configure config.h config.log config.status
	-rm -f *.d *.d.*

distclean: realclean
	-rm -f Make.config ../*.$(EXT)
	-rm -f $(LIBRARY_NAME).exp  $(LIBRARY_NAME).lib  $(LIBRARY_NAME).ncb  \
		$(LIBRARY_NAME).opt  $(LIBRARY_NAME).plg
	-rm -rf autom4te.cache/

tests:  all
	make -C $(TESTDIR)

install: install-bin install-doc install-abs

install-bin:
	-install -d $(INSTALL_DOC)
	-install -m 644 $(LIBRARY_NAME).$(EXT) $(INSTALL_DOC)

install-doc:
	-install -d $(INSTALL_DOC)
	-install -m 644 ../doc/*.pd $(INSTALL_DOC)

install-abs:
	-install -d $(INSTALL_DOC)
	-install -m 644 ../abs/*.pd $(INSTALL_DOC)

dist: all realclean
	(cd ../..;tar czvf $(TARNAME) $(LIBRARY_NAME))

everything: clean all install distclean

=== debian/changelog ===
pd-iemmatrix (0.2-1) unstable; urgency=low

  [ Roman Haefeli ]
  * Initial packaging.
    Closes: #603181

  [ IOhannes m zmölnig ]
  * Have CDBS invoke aclocal.
  * Let CDBS auto-resolve build-dependencies.
  * Add myself as uploader.
  * Shorten packaging VCS URL.
  * Newline-delimit build-dependencies, for better readability.
  * Add copyright hints, to track future changes.
  * Add watch file.

  [ Jonas Smedegaard ]
  * Minor tidying of various packaging files.
  * Add myself as uploader.
  * Update copyright file: Additional authors, and some parts more
    restrictively licensed as GPL-3.
  * Drop useless suppression of build-dependencies: Recent CDBS required
    anyway, due to use of pd.mk snippet.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 08 Feb 2011 22:26:44 +0100

=== debian/control ===
Source: pd-iemmatrix
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Roman Haefeli <reduzent@gmail.com>,
 IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>,
 Jonas Smedegaard <dr@jones.dk>
Build-Depends: debhelper (>= 7.0.1),
 dh-buildinfo,
 automake1.11,
 autoconf,
 cdbs (>= 0.4.91~),
 devscripts (>= 2.10.7~),
 puredata,
 libfftw3-dev,
 libsndfile1-dev,
 libgsl0-dev
Standards-Version: 3.9.1
Section: sound
Homepage: http://download.puredata.info/iemmatrix
Vcs-Git: git://git.debian.org/pkg-multimedia/pd-iemmatrix
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/pd-iemmatrix.git

Package: pd-iemmatrix
Architecture: any
Depends: ${shlibs:Depends}, 
 ${misc:Depends}, 
 pd 
Description: Pd-objects for simple matrix operations
 This library contains about 100 objects for matrix manipulation within
 the dataflow language Pure Data.
 .
 The syntax is based on the matrix operators in Octave (and thus
 Matlab®).

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2002 Guenter Geiger <geiger@debian.org>
# Copyright © 2011 IOhannes m zmölnig <zmoelnig@iem.at>
# Description: Main Debian packaging script for pd-iemmatrix
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/class/pd.mk
include /usr/share/cdbs/1/rules/utils.mk

# upstream's way to prevent stripping: override the STRIP command with
# something harmless, like /usr/bin/true
STRIP=/bin/true
export STRIP

# where sources are
DEB_SRCDIR = src

# regenerate configure, so that patches to configure.ac take effect
DEB_AUTO_UPDATE_ACLOCAL = 1.11
DEB_AUTO_UPDATE_AUTOCONF = 2.61

DEB_CONFIGURE_EXTRA_FLAGS += --with-extension=pd_linux

# remove generated files not cleaned up on "make clean"
clean::
	-rm -f VERSION.txt doc/iemmatrix-meta.pd

=== debian/watch ===
# to be processed with uscan(1)
version=3
http://sf.net/pure-data/iemmatrix-(.*)\.tar\.gz

## pd-iemmatrix 0.3

=== debian/changelog ===
pd-iemmatrix (0.3-2build1) xenial; urgency=medium

  * Rebuild against new gsl SONAME change.

 -- Michael Terry <mterry@ubuntu.com>  Tue, 08 Dec 2015 10:38:06 -0500

pd-iemmatrix (0.3-2) unstable; urgency=medium

  * Fallback B-D on libgsl0-dev
  * Updated debian/watch to point to new upstream repository
  * Updated upstream homepage

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 01 Dec 2015 13:32:40 +0100

pd-iemmatrix (0.3-1) unstable; urgency=medium

  * Imported Upstream version 0.3

  * Removed patches applied upstream
  * Switch B-D to unversioned libgsl-dev
  * Updated watch-file
  * Provide build-date string for reproducible builds
  * Updated build-system (use autoreconf, remove cruft)
  * Prevent unwanted files (.la, CHANGES.txt) from being installed
  * Regenerated debian/(control|copyright_hints)
  * Updated debian/copyright
  * Update Vcs-Browser stanza
  * Added debian/git-tuneclone.sh script
    * Document git-tuneclone.sh in debian/README.source
  * Bumped Standards-version to 3.9.6

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 12 Nov 2015 17:20:31 +0100

pd-iemmatrix (0.2-2) unstable; urgency=medium

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Fixing FTBFS with clang (Closes: #741688)
    - thanks to Nicolas Sévelin-Radiguet
  * Build-depend on puredata-dev
  * Depend on real package "puredata"
    - with fallback to virtual package "pd"
  * lintian-override for config.status in upstream
  * debian/copyright is now in the final DEP5 format
  * Fixed Vcs-* stanzas
  * Removed trailing whitespace in control.in
  * Updated my uploader's name
  * Bumped standards version to 3.9.5

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 17 Mar 2014 15:48:29 +0100

=== debian/control ===
Source: pd-iemmatrix
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Roman Haefeli <reduzent@gmail.com>,
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs (>= 0.4.91~),
 debhelper,
 dh-buildinfo,
 automake1.11,
 autoconf,
 dh-autoreconf,
 devscripts,
 puredata-dev | puredata,
 libfftw3-dev,
 libsndfile1-dev,
 libgsl-dev | libgsl0-dev
Standards-Version: 3.9.6
Section: sound
Homepage: https://git.iem.at/pd/iemmatrix
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/pd-iemmatrix
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/pd-iemmatrix.git

Package: pd-iemmatrix
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 puredata | pd
Description: Pd-objects for simple matrix operations
 This library contains about 100 objects for matrix manipulation within
 the dataflow language Pure Data.
 .
 The syntax is based on the matrix operators in Octave (and thus
 Matlab®).

=== debian/rules ===
--- 
+++ 
@@ -19,23 +19,25 @@
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
+include /usr/share/cdbs/1/rules/autoreconf.mk
 include /usr/share/cdbs/1/class/pd.mk
 include /usr/share/cdbs/1/rules/utils.mk
 
-# upstream's way to prevent stripping: override the STRIP command with
-# something harmless, like /usr/bin/true
-STRIP=/bin/true
-export STRIP
+BUILD_DATE:=$(shell date -u -d "$$(dpkg-parsechangelog -SDate)" +"%Y/%m/%d at %H:%M:%S UTC")
 
-# where sources are
-DEB_SRCDIR = src
 
 # regenerate configure, so that patches to configure.ac take effect
 DEB_AUTO_UPDATE_ACLOCAL = 1.11
 DEB_AUTO_UPDATE_AUTOCONF = 2.61
 
-DEB_CONFIGURE_EXTRA_FLAGS += --with-extension=pd_linux
+DEB_CONFIGURE_EXTRA_FLAGS += --with-extension=pd_linux --with-build-date="$(BUILD_DATE)"
 
 # remove generated files not cleaned up on "make clean"
 clean::
 	-rm -f VERSION.txt doc/iemmatrix-meta.pd
+
+binary-predeb/pd-iemmatrix::
+	# remove libtools leftovers
+	find "$(cdbs_curdestdir)" -name "*.la" -delete
+	# we rather link to the debian provided GPL-2
+	-rm -f "$(cdbs_curdestdir)/usr/lib/pd/extra/iemmatrix/LICENSE.txt"

=== debian/watch ===
# to be processed with uscan(1)
version=3
opts=filenamemangle=s/.*\.tar\.gz\?ref=v?(\d\S*)/iemmatrix-$1\.tar\.gz/g \
  https://git.iem.at/pd/iemmatrix/tags .*archive\.tar\.gz\?ref=v?(\d\S*)

## pd-iemmatrix 0.3.1

=== tests/Makefile ===
default: nogui


nogui:
	sh runtests.sh

gui:
	sh runtests.sh -gui

=== debian/changelog ===
pd-iemmatrix (0.3.1-1) unstable; urgency=medium

  * New upstream version 0.3.1
  * Fixed d/watch
  * Refreshed d/copyright_hints
  * Bumped standards version to 4.3.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 04 Feb 2019 21:58:40 +0100

pd-iemmatrix (0.3-4) unstable; urgency=medium

  * Switched buildsystem from dh to cdbs
    * Bumped dh compat to 11
    * Dropped unneeded B-Ds
    * Enabled hardening
  * Added source/local-options
  * Updated d/watch
  * Updated Vcs-* stanzas to salsa.d.o
  * Updated maintainer address
  * Removed trailing whitespace in debian/*
  * Removed obsolete d/git-tuneclone.sh
  * Updated d/copyright_hints
  * Bumped standards version to 4.1.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 01 Feb 2018 23:13:19 +0100

pd-iemmatrix (0.3-3) unstable; urgency=medium

  * Dropped versioned dependency on automake
  * Canonical Vcs-Git stanza
  * Bumped standards version to 3.9.8

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 14 Mar 2017 09:26:54 +0100

=== debian/control ===
Source: pd-iemmatrix
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Roman Haefeli <reduzent@gmail.com>,
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Jonas Smedegaard <dr@jones.dk>,
Build-Depends:
 debhelper (>=11~),
 dh-buildinfo,
 puredata-dev | puredata,
 libfftw3-dev,
 libsndfile1-dev,
 libgsl-dev | libgsl0-dev,
Standards-Version: 4.3.0
Section: sound
Homepage: https://git.iem.at/pd/iemmatrix
Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-iemmatrix.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pd-iemmatrix

Package: pd-iemmatrix
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 puredata | pd,
Description: Pd-objects for simple matrix operations
 This library contains about 100 objects for matrix manipulation within
 the dataflow language Pure Data.
 .
 The syntax is based on the matrix operators in Octave (and thus
 Matlab®).

## pd-iemmatrix 0.3.2

=== debian/changelog ===
pd-iemmatrix (0.3.2-4) unstable; urgency=medium

  * Modernize 'licensecheck' target
    + Ensure that 'licensecheck' is run with the C.UTF-8 locale
    + Exclude debian/ from 'licensecheck'
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 07 Dec 2022 10:44:33 +0100

pd-iemmatrix (0.3.2-3) unstable; urgency=medium

  * Modernize 'licensecheck' target
    + Re-generated d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 27 Nov 2022 00:01:36 +0100

pd-iemmatrix (0.3.2-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Refer to specific version of license .

  [ Jonas Smedegaard ]
  * Remove myself from Uploaders

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Add patch to use pd_error() instead of the deprecated error()
  * Add salsa-ci configuration
  * Declare that building this package does not require 'root' powers.
  * Apply "warp-and-sort -ast"
  * Bump dh-compat to 13
  * Bump standards version to 4.6.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 28 Sep 2022 18:23:08 +0200

pd-iemmatrix (0.3.2-1) unstable; urgency=medium

  * New upstream version 0.3.2

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat
  * Bump Standards-Version to 4.4.0

  [ IOhannes m zmölnig ]
  * Add deb-ci tests
  * Drop obsolete d/source/local-options
  * Update d/copyright_hints
  * Bump dh compat to 12

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 11 Sep 2019 10:37:16 +0200

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
 Uploaders:
  Roman Haefeli <reduzent@gmail.com>,
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
- Jonas Smedegaard <dr@jones.dk>,
 Build-Depends:
- debhelper (>=11~),
+ debhelper-compat (= 13),
  dh-buildinfo,
+ libfftw3-dev,
+ libgsl-dev | libgsl0-dev,
+ libsndfile1-dev,
  puredata-dev | puredata,
- libfftw3-dev,
- libsndfile1-dev,
- libgsl-dev | libgsl0-dev,
-Standards-Version: 4.3.0
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Section: sound
 Homepage: https://git.iem.at/pd/iemmatrix
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-iemmatrix.git
@@ -21,9 +21,9 @@
 Package: pd-iemmatrix
 Architecture: any
 Depends:
+ puredata | pd,
+ ${misc:Depends},
  ${shlibs:Depends},
- ${misc:Depends},
- puredata | pd,
 Description: Pd-objects for simple matrix operations
  This library contains about 100 objects for matrix manipulation within
  the dataflow language Pure Data.

=== debian/rules ===
#!/usr/bin/make -f
# Copyright © 2010 Hans-Christoph Steiner <hans@eds.org>
# Copyright © 2018 IOhannes m zmölnig <umlaeute@debian.org>

#enable hardening
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

pkglibdir = /usr/lib/pd/extra

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- \
		arch.flags="" \
		CPPFLAGS="$(CPPFLAGS)" \
		CFLAGS="$(CFLAGS)" \
		LDFLAGS="$(LDFLAGS) -Wl,-as-needed" \
		$(empty)

override_dh_auto_install:
	dh_auto_install -- prefix=/usr pkglibdir=$(pkglibdir)/iemmatrix
	# don't want libtools artifacts
	find $(CURDIR)/debian/*/$(pkglibdir) -name "*.la" -delete
# fix permissions
	find $(CURDIR)/debian/*/$(pkglibdir) -name "*.pd_linux" -exec \
		chmod 0664 {} +
# remove license file so we can replace it with link to the Debian license file
	rm -f -- $(CURDIR)/debian/*/$(pkglibdir)/*/LICENSE.txt

DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
	debian/.*
# licensecheck v1
.PHONY: licensecheck
licensecheck:
	LANG=C.UTF-8 licensecheck \
		-i "^($(DEB_COPYRIGHT_CHECK_IGNORE_REGEX))$$" \
		--check '.*' --recursive --deb-machine --lines 0 * \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

=== debian/tests/control ===
Tests: run-suite-sysinstalled
Depends:
 @,
Restrictions: allow-stderr

## pd-iemmatrix 0.3.3

=== debian/changelog ===
pd-iemmatrix (0.3.3-1) unstable; urgency=medium

  * New upstream version 0.3.3
    + Drop obsolete patches
  * B-D on pkg-config
  * Build Pd32 and Pd64 variants of the external
    + Only enabled Pd64 builds if we can determine the proper extension
    + autopkgtests: test with Pd32 and Pd64
  * Use dh-sequence-pd-lib-builder for Pd substvars
    + Don't attempt to use pd-lib-builder buildsystem
  * Prefix control files with packagename
  * Apply 'wrap-and-sort -ast'
  * Update copyright information
    + Update copyright dates
    + Update upstream repository
    + Re-generate d/copyright_hints
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 19 Jul 2023 15:25:48 +0200

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,12 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-buildinfo,
+ dh-sequence-pd-lib-builder,
  libfftw3-dev,
  libgsl-dev | libgsl0-dev,
  libsndfile1-dev,
- puredata-dev | puredata,
-Standards-Version: 4.6.1
+ pkg-config,
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Section: sound
 Homepage: https://git.iem.at/pd/iemmatrix
@@ -21,9 +22,13 @@
 Package: pd-iemmatrix
 Architecture: any
 Depends:
- puredata | pd,
  ${misc:Depends},
+ ${puredata:Depends},
  ${shlibs:Depends},
+Recommends:
+ ${puredata:Recommends},
+Suggests:
+ ${puredata:Suggests},
 Description: Pd-objects for simple matrix operations
  This library contains about 100 objects for matrix manipulation within
  the dataflow language Pure Data.

=== debian/tests/control ===
Tests: run-suite-sysinstalled
Depends:
 puredata64-core,
 @,
Restrictions: allow-stderr

## pd-iemmatrix 0.4.0

=== tests/Makefile ===
--- 
+++ 
@@ -6,4 +6,3 @@
 
 gui:
 	sh runtests.sh -gui
-

=== debian/changelog ===
pd-iemmatrix (0.4.0-1) unstable; urgency=medium

  * New upstream version 0.4.0
    + Drop patches applied upstream
  * B-D on pkgconf
  * Update copyright information
    + Update copyright dates
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 11 Feb 2024 10:57:08 +0100

pd-iemmatrix (0.3.3-2) unstable; urgency=medium

  * Fix struct alignment on i386 (Closes: #1050060)
  * Have autopkgtests also depend on pd32
  * Bump d/watch to version 4

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 28 Aug 2023 12:59:29 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  libfftw3-dev,
  libgsl-dev | libgsl0-dev,
  libsndfile1-dev,
- pkg-config,
+ pkgconf | pkg-config,
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Section: sound

=== debian/tests/control ===
Tests: run-suite-sysinstalled
Depends:
 puredata-core,
 puredata64-core,
 @,
Restrictions: allow-stderr

=== debian/watch ===
# to be processed with uscan(1)
version=4
  https://git.iem.at/pd/iemmatrix/tags .*/-/archive/v?@ANY_VERSION@/iemmatrix-.*@ARCHIVE_EXT@

## pd-iemmatrix 0.4.1

=== debian/changelog ===
pd-iemmatrix (0.4.1-1build1) oracular; urgency=medium

  * Rebuild against new libgsl28.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 30 Jul 2024 08:51:26 +0200

pd-iemmatrix (0.4.1-1) unstable; urgency=medium

  * New upstream version 0.4.1
    (Closes: #1073076, #1073078)
  * Switch to dh-sequence-puredata
  * Update d/watch (GitLab likes breaking things)
  * Bump standards version to 4.7.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 14 Jun 2024 08:52:51 +0200

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-buildinfo,
- dh-sequence-pd-lib-builder,
+ dh-sequence-puredata,
  libfftw3-dev,
  libgsl-dev | libgsl0-dev,
  libsndfile1-dev,
  pkgconf | pkg-config,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Section: sound
 Homepage: https://git.iem.at/pd/iemmatrix

## pd-iemmatrix 0.4.2

=== debian/changelog ===
pd-iemmatrix (0.4.2-2) unstable; urgency=medium

  * Team Upload
  * Drop dh-buildinfo dummy dependency
  * Bumped standards version to 4.7.2.
  * Drop "Rules-Require-Root: no": it is the default now

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Update git repository layout to follow DEP-14

 -- Alexandre Detiste <tchet@debian.org>  Sun, 19 Oct 2025 16:47:47 +0200

pd-iemmatrix (0.4.2-1) unstable; urgency=medium

  * New upstream version 0.4.2
  * Add puredata:Provides
  * Apply 'wrap-and-sort -ast'

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 10 Oct 2024 23:02:46 +0200

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,12 @@
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-buildinfo,
  dh-sequence-puredata,
  libfftw3-dev,
  libgsl-dev | libgsl0-dev,
  libsndfile1-dev,
  pkgconf | pkg-config,
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Section: sound
 Homepage: https://git.iem.at/pd/iemmatrix
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-iemmatrix.git
@@ -29,6 +27,8 @@
  ${puredata:Recommends},
 Suggests:
  ${puredata:Suggests},
+Provides:
+ ${puredata:Provides},
 Description: Pd-objects for simple matrix operations
  This library contains about 100 objects for matrix manipulation within
  the dataflow language Pure Data.

=== debian/rules ===
#!/usr/bin/make -f
# Copyright © 2010 Hans-Christoph Steiner <hans@eds.org>
# Copyright © 2018-2023 IOhannes m zmölnig <umlaeute@debian.org>

#enable hardening
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

FLAVORS = pd32
builddir=debian/build/flavor-

pd64ext=$(shell /usr/share/puredata/debian/dekencpu $(DEB_HOST_ARCH))

ifneq ($(pd64ext), )
	FLAVORS += pd64
endif

CONFIG= \
	--libdir=/usr/lib/pd/extra \
	$(empty)
CONFIG_pd32 = \
	$(empty)
CONFIG_pd64 = \
	--with-floatsize=64 \
	--with-extension=linux-$(pd64ext)-64.so \
	$(empty)

%:
	dh $@

# Add configuration options:
override_dh_auto_configure: $(patsubst %,configure_%,$(FLAVORS))
configure_%:
	$(info $()   debian/rules $@)
	dh_auto_configure --builddir $(builddir)$* -- $(strip $(CONFIG) $(CONFIG_$*))

# Remove the subdirectories generated for the flavors.
override_dh_auto_clean:
	rm -rf $(dir $(builddir))

override_dh_auto_build-arch: $(patsubst %,build_%,$(FLAVORS))
build_%:
	$(info $()  debian/rules $@)
	dh_auto_build -a --builddir=$(builddir)$* || (cat $(builddir)$*/config.log && exit 1)

override_dh_auto_install:  $(patsubst %,install_%,$(FLAVORS))
install_%:
	$(info $()  debian/rules $@)
	dh_auto_install -B $(builddir)$*
execute_after_dh_auto_install:
	# don't want libtools artifacts
	find $(CURDIR)/debian/*/$(pkglibdir) -name "*.la" -delete
# fix permissions
	find $(CURDIR)/debian/*/$(pkglibdir) -name "*.pd_linux" -exec \
		chmod 0664 {} +

DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
	debian/.*
# licensecheck v1
.PHONY: licensecheck
licensecheck:
	LANG=C.UTF-8 licensecheck \
		-i "^($(DEB_COPYRIGHT_CHECK_IGNORE_REGEX))$$" \
		--check '.*' --recursive --deb-machine --lines 0 * \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

=== debian/watch ===
# to be processed with uscan(1)
version=4
opts=\
 searchmode=plain,\
 dversionmangle=auto \
 https://git.iem.at/pd/iemmatrix/tags?sort=updated_desc -/archive/v?\d[\d.]+/iemmatrix-@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate

## pd-iemmatrix 0.5.0

=== Makefile ===
# Makefile to build class 'iemmatrix' for Pure Data.
# Needs Makefile.pdlibbuilder as helper makefile for platform-dependent build
# settings and rules.

# library name
lib.name = iemmatrix
# use 'lib.version' to set the library version from the cmdline
#lib.version := $(shell git describe || true)

# mtx_*~ and friends make problems...
make-lib-executable=yes

cflags =
ldlibs =
ifneq ($(strip $(lib.version)),)
cflags += -DVERSION='"$(lib.version)"'
endif

cflags += -I. -Isrc

#####################################################################
## external dependencies (used by STUB LIBRARIES at the end)

# set any of these to 'no' to disable the library
# typically this is not needed, as
# - dependencies are only used if found
# - we do "weak" linking (so the external can still be used
#   if the dependencies are not present on the host systems
with-sndfile := yes
with-gsl := yes
with-fftw := yes

# make pkg-config overridable (for cross-building)
PKG_CONFIG ?= pkg-config

# libsndfile
ifneq ($(with-sndfile),no)
have-sndfile := $(shell $(PKG_CONFIG) --exists sndfile && echo yes || echo no)
endif
ifeq ($(have-sndfile),yes)
$(info ++++ info: found libsndfile)
SNDFILE_CFLAGS = $(shell $(PKG_CONFIG) --cflags sndfile)
SNDFILE_LIBS = $(shell $(PKG_CONFIG) --libs sndfile)
else
$(info ++++ info: missing libsndfile)
endif
ifneq ($(SNDFILE_LIBS),)
SNDFILE_CFLAGS += -DUSE_SNDFILE=1 -DHAVE_SNDFILE_H=1
else
have-sndfile=no
endif
cflags += $(SNDFILE_CFLAGS)

# GNU scientific library
ifneq ($(with-gsl),no)
have-gsl := $(shell $(PKG_CONFIG) --exists gsl && echo yes || echo no)
endif
ifeq ($(have-gsl),yes)
$(info ++++ info: found GSL)
GSL_CFLAGS = $(shell $(PKG_CONFIG) --cflags gsl)
GSL_LIBS = $(shell $(PKG_CONFIG) --libs gsl)
else
$(info ++++ info: missing GSL)
endif
ifneq ($(GSL_LIBS),)
have-gsl=yes
GSL_CFLAGS += -DHAVE_LIBGSL=1 -DHAVE_GSL_EIGEN_NONSYMM=1 -DHAVE_GSL_BESSEL=1
else
have-gsl=no
endif
cflags += $(GSL_CFLAGS)
# afaik, all libm implementations have a bessel function
cflags += -DHAVE_MATH_BESSEL=1

# FFTW
ifneq ($(with-fftw),no)
have-fftw3 := $(shell $(PKG_CONFIG) --exists fftw3 && echo yes || echo no)
endif
ifeq ($(have-fftw3),yes)
$(info ++++ info: found FFTW3)
FFTW_CFLAGS = $(shell $(PKG_CONFIG) --cflags fftw3)
FFTW_LIBS = $(shell $(PKG_CONFIG) --libs fftw3)
FFTWF_CFLAGS = $(shell $(PKG_CONFIG) --cflags fftw3f)
FFTWF_LIBS = $(shell $(PKG_CONFIG) --libs fftw3f)
else
$(info ++++ info: missing FFTW3)
endif
ifneq ($(FFTW_LIBS),)
have-fftw=yes
FFTW_CFLAGS += -DHAVE_FFTW=1
else
have-fftw=no
endif
ifneq ($(FFTWF_LIBS),)
have-fftwf=yes
FFTWF_CFLAGS += -DHAVE_FFTWF=1
else
have-fftwf=no
endif
cflags += $(FFTW_CFLAGS) $(FFTWF_CFLAGS)

##
#####################################################################

lib.setup.sources = \
	src/iemmatrix.c

common.sources = \
	src/iemmatrix_binops.c \
	src/iemmatrix_unop.c \
	src/iemmatrix_binop.c \
	src/iemmatrix_utility.c \
	src/iemmatrix_stub.c \
	$(empty)

# input source file (class name == source file basename)
class.sources = \
	src/matrix.c \
	src/mtx_abs.c \
	src/mtx_add.c \
	src/mtx_and.c \
	src/mtx_atan.c \
	src/mtx_atan2.c \
	src/mtx_bessel.c \
	src/mtx_bitand.c \
	src/mtx_bitleft.c \
	src/mtx_bitor.c \
	src/mtx_bitright.c \
	src/mtx_bspline.c \
	src/mtx_check.c \
	src/mtx_cholesky.c \
	src/mtx_col.c \
	src/mtx_colon.c \
	src/mtx_concat.c \
	src/mtx_conv.c \
	src/mtx_cos.c \
	src/mtx_cumprod.c \
	src/mtx_cumsum.c \
	src/mtx_dbtopow.c \
	src/mtx_dbtorms.c \
	src/mtx_decay.c \
	src/mtx_diag.c \
	src/mtx_diegg.c \
	src/mtx_diff.c \
	src/mtx_dispersive_dline.c \
	src/mtx_distance2.c \
	src/mtx_div.c \
	src/mtx_egg.c \
	src/mtx_eig.c \
	src/mtx_ei~.c \
	src/mtx_element.c \
	src/mtx_eq.c \
	src/mtx_exp.c \
	src/mtx_eye.c \
	src/mtx_fft.c \
	src/mtx_fill.c \
	src/mtx_find.c \
	src/mtx_gauss.c \
	src/mtx_ge.c \
	src/mtx_gt.c \
	src/mtx_ifft.c \
	src/mtx_index.c \
	src/mtx_int.c \
	src/mtx_inverse.c \
	src/mtx_isequal.c \
	src/mtx_le.c \
	src/mtx_log.c \
	src/mtx_lt.c \
	src/mtx_max2.c \
	src/mtx_mean.c \
	src/mtx_min2.c \
	src/mtx_minmax.c \
	src/mtx_mul.c \
	src/mtx_mul~.c \
	src/mtx_neq.c \
	src/mtx_not.c \
	src/mtx_ones.c \
	src/mtx_or.c \
	src/mtx_pack~.c \
	src/mtx_pivot.c \
	src/mtx_pow.c \
	src/mtx_powtodb.c \
	src/mtx_print.c \
	src/mtx_prod.c \
	src/mtx_qr.c \
	src/mtx_rand.c \
	src/mtx_repmat.c \
	src/mtx_resize.c \
	src/mtx_reverse.c \
	src/mtx_rfft.c \
	src/mtx_rifft.c \
	src/mtx_rmstodb.c \
	src/mtx_roll.c \
	src/mtx_row.c \
	src/mtx_scroll.c \
	src/mtx_sin.c \
	src/mtx_size.c \
	src/mtx_slice.c \
	src/mtx_sndfileread.c \
	src/mtx_sort.c \
	src/mtx_sqrt.c \
	src/mtx_sub.c \
	src/mtx_sum.c \
	src/mtx_svd.c \
	src/mtx_tan.c \
	src/mtx_trace.c \
	src/mtx_transpose.c \
	src/mtx_unpack~.c \
	src/mtx_zeros.c \
	$(empty)

class.sources += \
	src/mtx_qhull.c
mtx_qhull.class.sources = \
	src/mtx_qhull/list.c \
	src/mtx_qhull/vectors.c \
	src/mtx_qhull/zhull.c \
	$(empty)

class.sources += \
	src/mtx_spherical_radial.c
mtx_spherical_radial.class.sources = \
	src/mtx_spherical_harmonics/sph_radial.c \
	$(empty)

class.sources += \
	src/mtx_spherical_harmonics.c
mtx_spherical_harmonics.class.sources = \
	src/mtx_spherical_harmonics/chebyshev12.c \
	src/mtx_spherical_harmonics/legendre_a.c \
	src/mtx_spherical_harmonics/sharmonics.c \
	src/mtx_spherical_harmonics/sharmonics_normalization.c \
	$(empty)

class.sources += \
	src/mtx_convolver~.c
mtx_convolver~.class.sources = \
	src/mtx_convolver/array.c \
	src/mtx_convolver/convolver.c \
	$(empty)


#ifneq ($(make-lib-executable),yes)
#class.sources += \
#	alias/matrix_mul_line~.c \
#	alias/matrix_mul~.c \
#	alias/matrix~.c \
#	alias/mtx.c \
#	alias/mtx_0x21.c \
#	alias/mtx_0x210x3d.c \
#	alias/mtx_0x26.c \
#	alias/mtx_0x260x26.c \
#	alias/mtx_0x2a.c \
#	alias/mtx_0x2a0x7e.c \
#	alias/mtx_0x2b.c \
#	alias/mtx_0x2d.c \
#	alias/mtx_0x2e0x2a.c \
#	alias/mtx_0x2e0x2f.c \
#	alias/mtx_0x2e0x5e.c \
#	alias/mtx_0x2f.c \
#	alias/mtx_0x3a.c \
#	alias/mtx_0x3c.c \
#	alias/mtx_0x3c0x3c.c \
#	alias/mtx_0x3c0x3d.c \
#	alias/mtx_0x3d0x3d.c \
#	alias/mtx_0x3e.c \
#	alias/mtx_0x3e0x3d.c \
#	alias/mtx_0x3e0x3e.c \
#	alias/mtx_0x7c.c \
#	alias/mtx_0x7c0x7c.c \
#	alias/mtx_div.c \
#	$(empty)
#endif

# all extra files to be included in binary distribution of the library
datafiles = \
	AUTHORS.txt \
	GnuGPL.txt \
	LICENSE.txt \
	README.md \
	$(empty)
datafiles += \
	VERSION.txt \
	iemmatrix-meta.pd \
	$(empty)

datafiles += \
	$(wildcard abs/*.pd) \
	$(wildcard doc/*.pd) \
	$(empty)
datafiles += \
	$(wildcard doc/*.arr3) \
	$(wildcard doc/*.mtx) \
	$(empty)

in.files = $(wildcard *.in)

# include Makefile.pdlibbuilder from submodule directory 'pd-lib-builder'
PDLIBBUILDER_DIR=pd-lib-builder/
include $(PDLIBBUILDER_DIR)/Makefile.pdlibbuilder


src/iemmatrix.c: iemmatrix_sources.h VERSION.txt iemmatrix-meta.pd

iemmatrix_sources.h:
	src/makesource.sh $(sort $(class.sources)) >$@

%: %.in
	sed -e 's|@PACKAGE_NAME@|$(lib.name)|g' -e 's|@PACKAGE_VERSION@|$(lib.version)|g' $< > $@


.PHONY: check
check:
	make -C tests

.PHONY: clean.local
clean: clean.local
clean.local:
	-rm iemmatrix_sources.h
	-rm $(in.files:%.in=%)

# build stub libraries
-include Make.stublibs

=== tests/Makefile ===
--- 
+++ 
@@ -6,3 +6,6 @@
 
 gui:
 	sh runtests.sh -gui
+
+clean:
+	-rm runtests.log*

=== debian/changelog ===
pd-iemmatrix (0.5.0-1) unstable; urgency=medium

  * New upstream version 0.5.0

  * Switch build-system to pd-lib-builder
  * No longer install the dropped BUGS.txt file
  * Clean leftover logfiles
  * Demote optional dependencies to Recommends
  * Update build-dependencies
    + Drop obsolete fall-back B-D on pkg-config
    + B-D puredata-core for 'test' target
  * Add lintian-overrides for the stub libraries
  * Update copyright information
    + Bump copyright dates
    + Add copyright for new [mtx_convolver~] code
    + Re-generate d/copyright_hints
  * Update watch file to version 5

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 14 Nov 2025 14:27:55 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,8 @@
  libfftw3-dev,
  libgsl-dev | libgsl0-dev,
  libsndfile1-dev,
- pkgconf | pkg-config,
+ pkgconf,
+ puredata-core <!nocheck>,
 Standards-Version: 4.7.2
 Section: sound
 Homepage: https://git.iem.at/pd/iemmatrix
@@ -25,6 +26,7 @@
  ${shlibs:Depends},
 Recommends:
  ${puredata:Recommends},
+ ${shlibs:Recommends},
 Suggests:
  ${puredata:Suggests},
 Provides:

=== debian/rules ===
#!/usr/bin/make -f
# Copyright © 2018-2025 IOhannes m zmölnig <umlaeute@debian.org>

#enable hardening
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --buildsystem=pd_lib_builder

override_dh_shlibdeps:
# Make stub-libraries a recommends rather than a hard dependency.
	dh_shlibdeps -XlibiemmatrixStub_
	dpkg-shlibdeps -Tdebian/pd-iemmatrix.substvars2 -dRecommends debian/*/usr/lib/pd/extra/*/libiemmatrixStub_*.so
	cat debian/pd-iemmatrix.substvars2 >> debian/pd-iemmatrix.substvars
	rm -f debian/pd-iemmatrix.substvars2

DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
	debian/.*
# licensecheck v1
.PHONY: licensecheck
licensecheck:
	LANG=C.UTF-8 licensecheck \
		-i "^($(DEB_COPYRIGHT_CHECK_IGNORE_REGEX))$$" \
		--check '.*' --recursive --deb-machine --lines 0 * \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

=== debian/watch ===
Version: 5

# to be processed with uscan(1)
Template: Gitlab
Dist: https://git.iem.at/pd/iemmatrix

## pd-iemmatrix 0.6.0

=== Makefile ===
--- 
+++ 
@@ -17,6 +17,8 @@
 endif
 
 cflags += -I. -Isrc
+
+SHELL := /bin/sh
 
 #####################################################################
 ## external dependencies (used by STUB LIBRARIES at the end)
@@ -106,11 +108,12 @@
 	src/iemmatrix.c
 
 common.sources = \
+	src/iemmatrix_utility.c \
+	src/iemmatrix_binop.c \
 	src/iemmatrix_binops.c \
 	src/iemmatrix_unop.c \
-	src/iemmatrix_binop.c \
-	src/iemmatrix_utility.c \
 	src/iemmatrix_stub.c \
+	src/iemmatrix_fft.c \
 	$(empty)
 
 # input source file (class name == source file basename)
@@ -147,7 +150,6 @@
 	src/mtx_div.c \
 	src/mtx_egg.c \
 	src/mtx_eig.c \
-	src/mtx_ei~.c \
 	src/mtx_element.c \
 	src/mtx_eq.c \
 	src/mtx_exp.c \
@@ -224,7 +226,8 @@
 	$(empty)
 
 class.sources += \
-	src/mtx_spherical_harmonics.c
+	src/mtx_spherical_harmonics.c \
+	src/mtx_spherical_harmonics_rotator.c
 mtx_spherical_harmonics.class.sources = \
 	src/mtx_spherical_harmonics/chebyshev12.c \
 	src/mtx_spherical_harmonics/legendre_a.c \
@@ -286,11 +289,11 @@
 
 datafiles += \
 	$(wildcard abs/*.pd) \
-	$(wildcard doc/*.pd) \
+	$(wildcard help/*.pd) \
 	$(empty)
 datafiles += \
-	$(wildcard doc/*.arr3) \
-	$(wildcard doc/*.mtx) \
+	$(wildcard help/*.arr3) \
+	$(wildcard help/*.mtx) \
 	$(empty)
 
 in.files = $(wildcard *.in)
@@ -303,7 +306,7 @@
 src/iemmatrix.c: iemmatrix_sources.h VERSION.txt iemmatrix-meta.pd
 
 iemmatrix_sources.h:
-	src/makesource.sh $(sort $(class.sources)) >$@
+	$(SHELL) src/makesource.sh $(sort $(class.sources)) >$@
 
 %: %.in
 	sed -e 's|@PACKAGE_NAME@|$(lib.name)|g' -e 's|@PACKAGE_VERSION@|$(lib.version)|g' $< > $@
@@ -311,7 +314,7 @@
 
 .PHONY: check
 check:
-	make -C tests
+	$(MAKE) -C tests
 
 .PHONY: clean.local
 clean: clean.local
@@ -320,4 +323,4 @@
 	-rm $(in.files:%.in=%)
 
 # build stub libraries
--include Make.stublibs
+-include src/stub/Make.stublibs

=== tests/Makefile ===
default: nogui

SHELL:=sh


nogui:
	$(SHELL) runtests.sh

gui:
	$(SHELL) runtests.sh -gui

clean:
	-rm runtests.log*

=== debian/changelog ===
pd-iemmatrix (0.6.0-1) unstable; urgency=medium

  * New upstream version 0.6.0
  * Inject package version into build
  * Update copyright information
    + Update d/copyright
    + Drop obsolete GPL-3 stanza from copyright
    + Re-generate d/copyright
  * Drop obsolete 'Priority: optional' stanza.
  * Drop lintian-override
  * Bump standards version to 4.7.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 19 Feb 2026 16:10:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,4 @@
 Source: pd-iemmatrix
-Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Roman Haefeli <reduzent@gmail.com>,
@@ -12,7 +11,7 @@
  libsndfile1-dev,
  pkgconf,
  puredata-core <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Section: sound
 Homepage: https://git.iem.at/pd/iemmatrix
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-iemmatrix.git

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,16 @@
 #!/usr/bin/make -f
 # Copyright © 2018-2025 IOhannes m zmölnig <umlaeute@debian.org>
+
+include /usr/share/dpkg/pkg-info.mk
 
 #enable hardening
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
 	dh $@ --buildsystem=pd_lib_builder
+
+override_dh_auto_build:
+	dh_auto_build -- lib.version=$(DEB_VERSION_UPSTREAM_REVISION)
 
 override_dh_shlibdeps:
 # Make stub-libraries a recommends rather than a hard dependency.
